Pertanyaan Menginstal Wine 1.5: configure: error: Tidak dapat membangun program 32-bit, Anda perlu menginstal pustaka pengembangan 32-bit


    Wine Installer v1.0

Warning !! wine binary (still) found, which may indicate
a (conflicting) previous installation.
You might want to abort and uninstall Wine first.
(If you previously tried to install from source manually, 
run 'make uninstall' from the wine root directory)

We need to install Wine as the root user. Do you want us to build Wine,
'su root' and install Wine?  Enter 'no' to build Wine without installing:
(yes/no) yes
Running configure...

checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for cpp... cpp
checking whether gcc -m32 works... no
configure: error: Cannot build a 32-bit program, you need to install 32-bit development libraries.

Configure failed, aborting install.

Bagaimana cara memperbaiki masalah ini?


27
2018-04-18 23:21


asal




Jawaban:


Saya kira Anda menggunakan Ubuntu 12.04 x64 yang sekarang mendukung multi-arsitektur. Dengan kata lain, pada sistem 64-bit Anda hanya dapat membangun versi Wine-x64. Membangun Wine 32-bit pada Ubuntu 12.04 x64 nampaknya terlalu buggy seperti untuk sekarang.

Jadi jalankan saja perintah ini:

./configure --enable-win64

27
2018-04-30 08:20



Bukankah itu membangun wine64 bukannya anggur? Saya tidak dapat menjalankan program windows 32-bit dengan wine64. - Gauthier
saat ini anggur membutuhkan flex dan bison begitu sudo apt install flex bison pertama tapi ya ini adalah jawaban terbaik. - tatsu


Sesuai: https://stackoverflow.com/a/17748092/108802

Anda perlu menginstal gcc-multilibs.

sudo apt-get install gcc-multilib g++-multilib

Kemudian [...] tentukan sebuah host 32-bit dan meneruskan kompilasi 32-bit   bendera:

./configure --host=i686-linux-gnu "CFLAGS=-m32" "CXXFLAGS=-m32" "LDFLAGS=-m32"

17
2017-07-30 13:16



Dalam kasus saya, ini masih menghasilkan banyak dependensi 32-bit yang tidak sesuai yang cenderung tidak diinstal. Saya pikir itu akan kurang sakit kepala untuk menginstal mesin virtual Linux untuk mengkompilasi hal-hal 32-bit. - Hubro
Ini adalah jawaban yang lebih baik, karena terkadang wine64 tidak dapat menjalankan aplikasi 32-bit - Brandon Kuczenski


cobalah menginstal dependensi 32 bit

sudo apt-get install ia32-libs
sudo apt-get install gcc-multilib g++-multilib
sudo apt-get install xserver-xorg-dev:i386 libfreetype6-dev:i386

3
2018-06-07 06:11





Saya dapat melakukan installition linux "RedHat 6.4" setelah menginstal beberapa paket seperti gcc, gcc-c ++, flex, bison, dll.

dengan di bawah dijalankan pada prompt:

./configure --enable-win64 --without-freetype

make

wine notepad++.exe

0
2017-10-03 14:32



dan, apakah itu bekerja di Ubuntu? - Braiam